org.apache.nutch.webui.pages.auth

## Class SignInSession

- java.lang.Object
- - org.apache.wicket.Session
  - - org.apache.wicket.protocol.http.WebSession
    - - org.apache.wicket.authroles.authentication.AbstractAuthenticatedWebSession
      - - org.apache.wicket.authroles.authentication.AuthenticatedWebSession
        - - org.apache.nutch.webui.pages.auth.SignInSession

- All Implemented Interfaces:
    java.io.Serializable, org.apache.wicket.event.IEventSink, org.apache.wicket.util.io.IClusterable

      public class SignInSession
      extends org.apache.wicket.authroles.authentication.AuthenticatedWebSession

  Checks for whether authenticate or not.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.wicket.Session

      `clientInfo, SESSION_ATTRIBUTE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignInSession(org.apache.wicket.request.Request request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(java.lang.String username, java.lang.String password)`
    `org.apache.wicket.authroles.authorization.strategies.role.Roles` | `getRoles()`
    `User` | `getUser()`

    - ### Methods inherited from class org.apache.wicket.authroles.authentication.AuthenticatedWebSession

      `get, invalidate, isSignedIn, signIn, signIn, signOut`

    - ### Methods inherited from class org.apache.wicket.protocol.http.WebSession

      `getClientInfo, newBrowserInfoPage`

    - ### Methods inherited from class org.apache.wicket.Session

      `bind, cleanupFeedbackMessages, clear, debug, detach, dirty, dirty, error, exists, fatal, getApplication, getAttribute, getAttributeNames, getAuthorizationStrategy, getClassResolver, getFeedbackMessages, getId, getLocale, getMetaData, getPageFactory, getPageManager, getSessionStore, getSizeInBytes, getStyle, info, internalDetach, invalidateNow, isCurrentRequestValid, isSessionInvalidated, isTemporary, nextPageId, nextSequenceValue, onEvent, onInvalidate, removeAttribute, replaceSession, setAttribute, setClientInfo, setLocale, setMetaData, setStyle, success, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignInSession

          public SignInSession(org.apache.wicket.request.Request request)

  - ### Method Detail

    - #### authenticate

          public boolean authenticate(java.lang.String username,
                                      java.lang.String password)

      Specified by:
        `authenticate` in class `org.apache.wicket.authroles.authentication.AuthenticatedWebSession`

    - #### getRoles

          public org.apache.wicket.authroles.authorization.strategies.role.Roles getRoles()

      Specified by:
        `getRoles` in class `org.apache.wicket.authroles.authentication.AbstractAuthenticatedWebSession`

    - #### getUser

          public User getUser()

Copyright © 2019 The Apache Software Foundation